<head>

  <link rel="stylesheet" href="res/css/tree.css">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

  <script>var runOnLoad=function(c,o,d,e){function x(){for(e=1;c.length;)c.shift()()}o[d]?(document[d]('DOMContentLoaded',x,0),o[d]('load',x,0)):o.attachEvent('onload',x);return function(t){e?o.setTimeout(t,0):c.push(t)}}([],window,'addEventListener');</script>

  <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

  </script>
  <script type="text/javascript">
    runOnLoad(function(){ CollapsibleLists.apply(); });
  </script>
</head>
<body>
  <div class="summary-button">
      <a id="treeNav" href="Full-Report.html">View Summary</a>
  </div>
<ul class="collapsibleList" >
  <div id="prevTree">Previous Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): ViewGroup ID: android:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: android:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,112
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 17,48 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 274,112
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 25,56 Type(class): ImageView ID: android:id/home Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 129,79 Type(class): TextView ID: android:id/action_bar_title Name: Fwknop2 Type(class): TextView Rectangle: 146,49
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 1072,48 Type(class): ImageButton ID:  Name:  Type(class): ImageButton Rectangle: 128,112
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 32,160 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,1664
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 32,160 Type(class): ListView ID: android:id/list Name:  Type(class): ListView Rectangle: 283,1664
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 317,160 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/config_detail Name:  Type(class): LinearLayout Rectangle: 851,999
<ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,192 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/NicknameSL Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,206 Type(class): TextView ID: org.cipherdyne.fwknop2:id/NickNameStr Name: Nickname:  Type(class): TextView Rectangle: 200,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 549,192 Type(class): EditText ID: org.cipherdyne.fwknop2:id/NickName Name:  Type(class): EditText Rectangle: 587,84
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,276 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/destIPl Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,290 Type(class): TextView ID: org.cipherdyne.fwknop2:id/destIPStr Name: Server Address:  Type(class): TextView Rectangle: 292,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 641,276 Type(class): EditText ID: org.cipherdyne.fwknop2:id/destIP Name:  Type(class): EditText Rectangle: 495,84
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,360 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/destPortl Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,374 Type(class): TextView ID: org.cipherdyne.fwknop2:id/destPortStr Name: Server UDP Port:  Type(class): TextView Rectangle: 306,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 655,360 Type(class): EditText ID: org.cipherdyne.fwknop2:id/destPort Name: 62201 Type(class): EditText Rectangle: 481,84
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,444 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/passwdl Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,458 Type(class): TextView ID: org.cipherdyne.fwknop2:id/passwdStr Name: Rijndael Key:  Type(class): TextView Rectangle: 237,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 586,444 Type(class): EditText ID: org.cipherdyne.fwknop2:id/passwd Name:  Type(class): EditText Rectangle: 550,84
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 349,528 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkb64key Name: Key Is Base 64  Type(class): CheckBox Rectangle: 333,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,592 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/hmacl Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,606 Type(class): TextView ID: org.cipherdyne.fwknop2:id/hmacStr Name: HMAC Key:  Type(class): TextView Rectangle: 210,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 559,592 Type(class): EditText ID: org.cipherdyne.fwknop2:id/hmac Name:  Type(class): EditText Rectangle: 577,84
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 349,676 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkb64hmac Name: HMAC Is Base 64 Type(class): CheckBox Rectangle: 375,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,740 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/allowipl Name:  Type(class): LinearLayout Rectangle: 787,73
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,745 Type(class): TextView ID: org.cipherdyne.fwknop2:id/allowipstr Name: Allow IP:  Type(class): TextView Rectangle: 165,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 522,754 Type(class): TextView ID: android:id/text1 Name: Resolve IP Type(class): TextView Rectangle: 582,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,813 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/configtypel Name:  Type(class): LinearLayout Rectangle: 787,73
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,818 Type(class): TextView ID: org.cipherdyne.fwknop2:id/configtypestr Name: Message Type:  Type(class): TextView Rectangle: 278,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 635,827 Type(class): TextView ID: android:id/text1 Name: Open Port Type(class): TextView Rectangle: 469,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,886 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/AccessPortsl Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,900 Type(class): TextView ID: org.cipherdyne.fwknop2:id/AccessPortsStr Name: Access Ports:  Type(class): TextView Rectangle: 258,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 607,886 Type(class): EditText ID: org.cipherdyne.fwknop2:id/AccessPorts Name: tcp/22 Type(class): EditText Rectangle: 529,84
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,970 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/fwTimeoutl Name:  Type(class): LinearLayout Rectangle: 787,84
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,984 Type(class): TextView ID: org.cipherdyne.fwknop2:id/fwTimeoutStr Name: Firewall Timeout:  Type(class): TextView Rectangle: 317,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 666,970 Type(class): EditText ID: org.cipherdyne.fwknop2:id/fwTimeout Name: 60 Type(class): EditText Rectangle: 470,84
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 349,1054 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/sshl Name:  Type(class): LinearLayout Rectangle: 787,73
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,1059 Type(class): TextView ID: org.cipherdyne.fwknop2:id/sshstr Name: Run SSH App:  Type(class): TextView Rectangle: 256,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 613,1068 Type(class): TextView ID: android:id/text1 Name: None Type(class): TextView Rectangle: 491,43
</li></ul></li></ul></li></ul></li></ul></li><div class="buffer"></div></ul><ul class="collapsibleList"><div id="newTree">New Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): FrameLayout ID:  Name:  Type(class): FrameLayout Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): ViewGroup ID: org.cipherdyne.fwknop2:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1776
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,48 Type(class): ViewGroup ID: org.cipherdyne.fwknop2:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 48,85 Type(class): TextView ID:  Name: Fwknop2 Type(class): TextView Rectangle: 164,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 1104,64 Type(class): ImageView ID:  Name:  Type(class): ImageView Rectangle: 80,96
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 32,176 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1136,1648
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 32,176 Type(class): ListView ID: android:id/list Name:  Type(class): ListView Rectangle: 283,1552
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 317,176 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/config_detail Name:  Type(class): LinearLayout Rectangle: 851,1380
<ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,208 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/NicknameSL Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,228 Type(class): TextView ID: org.cipherdyne.fwknop2:id/NickNameStr Name: Nickname: Type(class): TextView Rectangle: 190,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 539,208 Type(class): EditText ID: org.cipherdyne.fwknop2:id/NickName Name:  Type(class): EditText Rectangle: 597,96
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,304 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/destIPl Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,324 Type(class): TextView ID: org.cipherdyne.fwknop2:id/destIPStr Name: Server Address: Type(class): TextView Rectangle: 282,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 631,304 Type(class): EditText ID: org.cipherdyne.fwknop2:id/destIP Name:  Type(class): EditText Rectangle: 505,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,400 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkblegacy Name: Use Legacy Mode Type(class): CheckBox Rectangle: 381,64
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,464 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkbrandom Name: Use Random Server Port Type(class): CheckBox Rectangle: 501,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,528 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/destPortl Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,548 Type(class): TextView ID: org.cipherdyne.fwknop2:id/destPortStr Name: Server Port: Type(class): TextView Rectangle: 209,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 558,528 Type(class): EditText ID: org.cipherdyne.fwknop2:id/destPort Name: 62201 Type(class): EditText Rectangle: 578,96
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,624 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 787,54
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,624 Type(class): TextView ID: org.cipherdyne.fwknop2:id/protocolStr Name: Protocol: Type(class): TextView Rectangle: 162,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 511,633 Type(class): TextView ID: android:id/text1 Name: UDP Type(class): TextView Rectangle: 577,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,678 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/passwdl Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,698 Type(class): TextView ID: org.cipherdyne.fwknop2:id/passwdStr Name: Rijndael Key: Type(class): TextView Rectangle: 227,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 576,678 Type(class): EditText ID: org.cipherdyne.fwknop2:id/passwd Name:  Type(class): EditText Rectangle: 560,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,774 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkb64key Name: Key Is Base 64 Type(class): CheckBox Rectangle: 323,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,838 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 787,54
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,838 Type(class): TextView ID: org.cipherdyne.fwknop2:id/DigestTypeStr Name: SPA Digest Type Type(class): TextView Rectangle: 290,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 639,847 Type(class): TextView ID: android:id/text1 Name: SHA256 Type(class): TextView Rectangle: 449,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,892 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/hmacl Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,912 Type(class): TextView ID: org.cipherdyne.fwknop2:id/hmacStr Name: HMAC Key: Type(class): TextView Rectangle: 200,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 549,892 Type(class): EditText ID: org.cipherdyne.fwknop2:id/hmac Name:  Type(class): EditText Rectangle: 587,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,988 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkb64hmac Name: HMAC Is Base 64 Type(class): CheckBox Rectangle: 375,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,1052 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 787,54
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,1052 Type(class): TextView ID: org.cipherdyne.fwknop2:id/HMACTypeStr Name: SPA HMAC Type Type(class): TextView Rectangle: 293,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 642,1061 Type(class): TextView ID: android:id/text1 Name: SHA256 Type(class): TextView Rectangle: 446,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,1106 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/allowipl Name:  Type(class): LinearLayout Rectangle: 787,54
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,1106 Type(class): TextView ID: org.cipherdyne.fwknop2:id/allowipstr Name: Allow IP: Type(class): TextView Rectangle: 155,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 504,1115 Type(class): TextView ID: android:id/text1 Name: Resolve IP Type(class): TextView Rectangle: 584,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,1160 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/configtypel Name:  Type(class): LinearLayout Rectangle: 787,54
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,1160 Type(class): TextView ID: org.cipherdyne.fwknop2:id/configtypestr Name: Message Type: Type(class): TextView Rectangle: 268,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 617,1169 Type(class): TextView ID: android:id/text1 Name: Open Port Type(class): TextView Rectangle: 471,43
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,1214 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/AccessPortsl Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,1234 Type(class): TextView ID: org.cipherdyne.fwknop2:id/AccessPortsStr Name: Access Ports: Type(class): TextView Rectangle: 248,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 597,1214 Type(class): EditText ID: org.cipherdyne.fwknop2:id/AccessPorts Name: tcp/22 Type(class): EditText Rectangle: 539,96
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,1310 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/fwTimeoutl Name:  Type(class): LinearLayout Rectangle: 787,96
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,1330 Type(class): TextView ID: org.cipherdyne.fwknop2:id/fwTimeoutStr Name: Firewall Timeout: Type(class): TextView Rectangle: 307,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 656,1310 Type(class): EditText ID: org.cipherdyne.fwknop2:id/fwTimeout Name: 60 Type(class): EditText Rectangle: 480,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 349,1406 Type(class): CheckBox ID: org.cipherdyne.fwknop2:id/chkbKeep_open Name: Keep open: Type(class): CheckBox Rectangle: 260,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 4: Start Pos: 349,1470 Type(class): LinearLayout ID: org.cipherdyne.fwknop2:id/sshl Name:  Type(class): LinearLayout Rectangle: 787,54
<ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 349,1470 Type(class): TextView ID: org.cipherdyne.fwknop2:id/sshstr Name: Run External App: Type(class): TextView Rectangle: 314,54
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 5: Start Pos: 663,1479 Type(class): TextView ID: android:id/text1 Name: None Type(class): TextView Rectangle: 425,43
</li></ul></li></ul></li></ul></li></ul></li></ul></li><div class="buffer"></div></ul>
</ul>

<script type="text/javascript">
  function colorChange(names){
    for (var name in names){
      var list = document.getElementsByClassName(name);
      if (list[0].innerHTML != list[1].innerHTML){
          list[0].style.color = "gray";
          list[1].style.color = "gray";
      }
    }
  }
  var names = ["0","1"];
  colorChange(names);
</script>
</body>
